For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • GETReturns all projects.
      • POSTCreates a new project.
      • POSTEdits multiple projects using the specified operation.
      • GETReturns the project with the specified key.
      • GETReturns the project with the specified id.
      • PUTUpdates the project with the specified id.
      • POSTChanges the project type of the project with the specified id.
      • POSTChanges the status of the project with the specified id.
      • POSTDeletes the project with the specified id.
      • GETReturns the project members of the project with the specified id.
      • POSTRemoves a project member from the project with the specified id.
      • POSTUpdates the project key for the specified project and all associated task identifiers.
      • POSTUpdates the order of a project status.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProjects

Returns the project members of the project with the specified id.

GET
https://api.awork.com/api/v1/projects/:projectId/members
GET
/api/v1/projects/:projectId/members
$curl https://api.awork.com/api/v1/projects/projectId/members \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1[
2 {
3 "id": "9f8b7c6d-4e3a-4b2f-9d1a-5c7e8f9a0b12",
4 "userId": "4a3b2c1d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
5 "firstName": "Emily",
6 "lastName": "Johnson",
7 "hasImage": true,
8 "projectRoleId": "7c6d5e4f-3a2b-1c0d-9e8f-7a6b5c4d3e2f",
9 "projectRoleName": "Lead Developer",
10 "isResponsible": true,
11 "isDeactivated": false,
12 "isExternal": false
13 }
14]
Returns the project members of the project with the specified id. <Check title="Required Permissions" icon="key">The user has to be the creator of the project or needs `read` permissions of the feature `project-master-data`.</Check>
Was this page helpful?
Previous

Removes a project member from the project with the specified id.

Next
Built with

Returns the project members of the project with the specified id.

Required Permissions
The user has to be the creator of the project or needs read permissions of the feature project-master-data.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.

Response

OK
idstringformat: "uuid"
The id of the project member entity.
userIdstringformat: "uuid"
The id of the user who is this project member.
firstNamestring or null
The first name of the user.
lastNamestring or null
The last name of the user.
hasImageboolean or null
Whether the user has an image.
projectRoleIdstringformat: "uuid"
The project role of the project member.
projectRoleNamestring or null
The project role name of the project member.
isResponsibleboolean
Whether the user is responsible for this project.
isDeactivatedboolean
Whether the user is deactivated.
isExternalboolean

True if this entity is coming from an external workspace (awork Connect).

Errors

401
Unauthorized Error
404
Not Found Error